mallow docs

Buy edition history account

GET
/v2/accounts/market/buy-edition-history/{address}

Reads the account from Solana and returns it decoded, as { viewSlot, account }. account is null when the account doesn't exist.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

address*string

BuyEditionHistory account address (base58). A PDA of the MallowMarket program, derived from seeds ["buy_edition_history", buyer, listing].

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/accounts/market/buy-edition-history/string"
{  "result": {    "viewSlot": 0,    "account": {      "accountType": "buyEditionHistory",      "bump": 0,      "listing": "string",      "buyer": "string",      "buyCount": 0,      "pubkey": "string",      "program": "mallow-market"    }  }}